var path = require("path");
var helpers = require("./common/helpers");
var osenv = require("osenv");

var knownOpts = {
    "log": String,
    "verbose": Boolean,
    "path": String,
    "appid": String,
    "copy-from": String,
    "link-to": String,
    "release": Boolean,
    "device": Boolean,
    "emulator": Boolean,
    "version": Boolean,
    "help": Boolean
}, shorthands = {
    "v": "verbose",
    "p": "path"
};

var defaultProfileDir = path.join(osenv.home(), ".nativescript-cli");
var parsed = helpers.getParsedOptions(knownOpts, shorthands, defaultProfileDir);

Object.keys(parsed).forEach(function (opt) {
    return exports[opt] = parsed[opt];
});

exports.knownOpts = knownOpts;

module.exports = exports;
